#!/bin/bash
# Launch in current folder with sh install_naga.sh
# Exclusive lock / OK
sudo dpkg --configure -a
# Reconfigure libdvd-pkg for DVD reading
sudo dpkg-reconfigure libdvd-pkg
# Set background  / OK
mkdir -p /$HOME/Images/Fonds\ d\'écran
mv -t /$HOME/Images/Fonds\ d\'écran/ /$HOME/Bureau/installation/background/bg-*
# Install Memo on Desktop  / OK
mv /$HOME/Bureau/installation/memo/memo4.1_page.pdf /$HOME/Bureau/
# Install Config Clementine / OK
cp -a /$HOME/Bureau/installation/config/.config/Clementine /$HOME/.config/Clementine
# Get rid of parameter in menu whisker and translate the software description / OK
cp -a /$HOME/Bureau/installation/config/.local/share /$HOME/.local
# Add firefox preferences / OK
cp -a /$HOME/Bureau/installation/config/.mozilla/ /$HOME/

# No LTS upgrade proposed  / OK
sudo sed -i 's/Prompt=lts/Prompt=never/g' /etc/update-manager/release-upgrades
# No apport error  / OK
sudo sed -i -e "s/enabled=1/enabled=0/g" /etc/default/apport 
# Change swappiness to 10  / OK
sudo sed -i "1i\vm.swappiness=10\n" /etc/sysctl.conf
# Install Config xfce4 / OK
cp -a /$HOME/Bureau/installation/config/.config/xfce4 /$HOME/.config/
# Install fuck**g font
# mscorefonts-installer depends on cabextract and libmspack0
sudo apt-get install cabextract libmspack0 && sudo apt purge -y ttf-mscorefonts-installer && sudo dpkg -i ttf-mscorefonts-installer_3.7_all.deb
# Install all language support
sudo apt install $(check-language-support)
# sleep / OK
sleep 90
# reboot / OK
pkill -KILL -u xubuntu
