#!/bin/bash
# Launch in current folder with sh install_naga.sh
# Exclusive lock / OK
sudo dpkg --configure -a
# Partner repository / OK
sudo sed -i.bak "/^# deb .*partner/ s/^# //" /etc/apt/sources.list
# Remove unused software  / OK
sudo apt-get purge -y --autoremove atril mate-calc parole pidgin ristretto libreoffice-* mousepad sgt-puzzles xterm imagemagick
# Update and upgrade / OK
sudo apt-get update && sudo apt-get upgrade -y
# Install prefered software  / OK
sudo apt-get install -y gedit libreoffice inkscape gimp evince vlc hardinfo synaptic clementine eog gnome-calculator frozen-bubble blockout2 flobopuyo supertux aisleriot gnome-mahjongg usb-creator-gtk xubuntu-restricted-addons jmtpfs firmware-b43-installer libgconf-2-4 gnome-disk-utility exfat-utils adobe-flashplugin libreoffice-help-fr libreoffice-l10n-fr shotwell libdvd-pkg libavcodec-extra unrar lame gparted printer-driver-gutenprint simplescreenrecorder
# Install Faenza icons / OK
wget https://storage.googleapis.com/google-code-archive-downloads/v2/code.google.com/faenza-icon-theme/faenza-icon-theme_1.3.zip &&
unzip faenza-icon-theme_1.3.zip &&
for file in *.tar.gz; do tar -zxf $file; done &&
sudo mv -t /usr/share/icons/ emesene/ Faenza/ Faenza-Ambiance/ Faenza-Dark/ Faenza-Darker/ Faenza-Darkest/ Faenza-Radiance/ &&
rm -r AUTHORS ChangeLog COPYING INSTALL README UNINSTALL emesene-faenza-theme.tar.gz Faenza.tar.gz Faenza-Ambiance.tar.gz Faenza-Dark.tar.gz Faenza-Darker.tar.gz Faenza-Darkest.tar.gz faenza-icon-theme_1.3.zip Faenza-Radiance.tar.gz
sudo gtk-update-icon-cache /usr/share/icons/Faenza-Radiance/
sudo gtk-update-icon-cache /usr/share/icons/Faenza-Darkest/
sudo gtk-update-icon-cache /usr/share/icons/Faenza-Darker/
sudo gtk-update-icon-cache /usr/share/icons/Faenza-Dark/
sudo gtk-update-icon-cache /usr/share/icons/Faenza/
sudo gtk-update-icon-cache /usr/share/icons/Faenza-Ambiance/ 
# sleep / OK
sleep 90
# reboot / OK
pkill -KILL -u xubuntu
